import 'package:json_annotation/json_annotation.dart';

part 'payment_way.g.dart';

@JsonSerializable()
class PaymentWay {
  @JsonKey(name: 'id')
  late int id;
  @JsonKey(name: 'payMethod')
  late int payMethod;
  @JsonKey(name: 'payPlatform')
  late int payPlatform;
  @JsonKey(name: 'title')
  late String title;

  PaymentWay(this.id, this.payMethod, this.payPlatform, this.title);

  factory PaymentWay.fromJson(Map<String, dynamic> json) =>
      _$PaymentWayFromJson(json);
}
